<?php

namespace App\Http\Controllers\User\Api;

use Auth;
use Illuminate\Http\Request;

use App\Http\Modules\User\ContractTemplateObligationDependencyModule;

use App\Http\Controllers\User\BaseController;

class ContractTemplateObligationDependencyController extends BaseController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list(Request $request)
    {
    	$contract_template_obligation_dependency = ContractTemplateObligationDependencyModule::list($request);
    	return $contract_template_obligation_dependency;
    }

    public function show(Request $request, $hash_id)
    {
        $contract_template_obligation_dependency = ContractTemplateObligationDependencyModule::show($request, $hash_id);
        return $contract_template_obligation_dependency;
    }

    public function store(Request $request)
    {
        $contract_template_obligation_dependency = ContractTemplateObligationDependencyModule::store($request);
        return $contract_template_obligation_dependency;
    }

    public function update(Request $request, $hash_id)
    {
        $contract_template_obligation_dependency = ContractTemplateObligationDependencyModule::update($request, $hash_id);
        return $contract_template_obligation_dependency;
    }

    public function delete(Request $request, $hash_id)
    {
        $contract_template_obligation_dependency = ContractTemplateObligationDependencyModule::delete($request, $hash_id);
        return $contract_template_obligation_dependency;
    }
}
